using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using com.hnshituo.core.webapp.vo;

namespace Common
{
    public class MeterBaseCarCardService
    {
        public RESTfulResult<List<MeterBaseCarCard>> doQueryWf(MeterBaseCarCard info)
        {
            DbHelper db = new DbHelper();
            RESTfulResult<PageList<List<MeterBaseCarCard>>> rm = db.doOption<PageList<List<MeterBaseCarCard>>>("meterbasecarcards", "/", new object[] { info }, 0);

            RESTfulResult<List<MeterBaseCarCard>> result = new RESTfulResult<List<MeterBaseCarCard>>();
            result.Succeed = rm.Succeed;
            result.Status = rm.Status;
            result.Message = rm.Message;
            result.ResultMessage = rm.ResultMessage;
            result.Code = rm.Code;
            if (rm.Data != null && rm.Data.list != null && rm.Data.list.Count > 0) 
            {
                result.Data = rm.Data.list;
            }
            return result;
        }
    }
}
